New Search

Mozilla Multiple Products nsTreeSelection Selection Range Calculation Overflow

oval:org.mitre.oval:def:11799

Use-after-free vulnerability in the nsTreeSelection function in Mozilla Firefox before 3.5.12 and 3.6.x before 3.6.9 Thunderbird before 3.0.7 and 3.1.x before 3.1.3 and SeaMonkey before 2.0.7 might allow remote attackers to execute arbitrary code via vectors involving a XUL tree selection related to a "dangling pointer vulnerability." NOTE: this issue exists because of an incomplete fix for CVE-2010-2753.

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows Server 2008
  • Microsoft Windows Server 2003
  • Microsoft Windows XP
  • Microsoft Windows Vista
  • Microsoft Windows 7
  • Microsoft Windows 2000
Class:
vulnerability
Reference(s):
  • CVE-2010-2760
Product(s):
  • Mozilla Thunderbird
  • Mozilla SeaMonkey
  • Mozilla Firefox